<html>
<head>
<title>
Ympyrä ja trigonometriset funktiot
</title>
</head>

<H2>
Ympyrästä trigonometriset funktiot
</H2>

<div class="p"><!----></div>
<font size="+1">Kuviossa voi tutkia ympyrän 
<i>x</i><sup>2</sup> + <i>y</i><sup>2</sup> = <i>r</i><sup>2</sup> 
avulla suhteiden <i>y</i>/<i>r</i> ja <i>x</i>/<i>r</i> muutoksia,
kun piste (<i>x</i>,<i>y</i>) 
liikkuu ympyrän kehällä. Näin saatuja funktioita sanotaan <em>trigonometrisiksi funktioiksi</em>.
<p>
Huomaa, että kuviossa kulma on rajattu välille [0, 2Pi], joten saadaan vain perusjakson pituinen kuvio sini- ja kosinikäyrää. 
</p>
</font>

<p>
<table>
<tr>
<td>
<JSP>
${
Ympyrä- eli trigonometriset funktiot
#CODEBASE="http://www.joensuu.fi/matematiikka/java/javasketchpad"
$}
#CODEBASE="../../../../java/javasketchpad"
#ARCHIVE  = "jsp4.jar"
#WIDTH = 600
#HEIGHT= 600
#ALIGN    = Center
*Frame          =   1
*TextFont       =   "Helvetica"
*TextBold       =   1
*TextSize       =  18
*LabelFont      =   "Courier"
*LabelBold      =   1
*MeasureFont        =   "Courier"
*MeasureSize        =  	14
*MeasureBold        =   1
*MeasureInDegrees   =   0
*DirectedAngles     =   0
*BackRed          =	250
*BackGreen        =	255
*BackBlue         =	250
$(
    AngleBisectors (Side1, Vertex, Side2)
${
    An Angle Bisector that behaves exactly as the GSP construction.
    See also the alternative construction in bisecto2.jsp.
$}
    Translation ($Vertex, 10.0, 0.0) [hidden];
    Circle ($Vertex, $1) [hidden, black];
    Ray ($Side1, $Vertex) [hidden, black];
    Ray ($Side2, $Vertex) [hidden, black];
    Intersect2 ($2, $3) [hidden];
    Intersect2 ($2, $4) [hidden];
    Segment ($2, $1) [hidden, black];
    Midpoint ($1) [hidden];
    Line($1, $Vertex);
$)

   
$reset  FixedText(585,20,'Reset = ''R''')[red, bold, justifyRight];
$ctrace FixedText(560,493,'Clear trace-->')[red, justifyRight, hidden];
$xText  FixedText(585,195,'x')[bold, black, justifyCenter];
$yText  FixedText(295, 15,'y')[bold, black, justifyCenter];

${
The Unit and r-circle
$}
$O  	FixedPoint(300,200)[black,label('0')];
$unitp 	UnitPoint($O,100)[white,label('1'), layer(10), hidden];
$XRay	Ray($unitp,$O)[black, hidden];
$I	Translation($unitp,0,0)[label('1')];	
${
$I	Point on object($XRay,1)[red, label('1'), layer(15)];	
$}
$R2 VectorTranslation($I,$O,$I)[white, label('2')];
$coord  Origin&Unit($O,$I)[black, hidden];
$hor    AxisX($coord)[black, hidden];
$vert   AxisY($coord)[black, hidden];

$UCr	Circle($O,$I)[black,hidden];
$J	Intersect2($vert,$UCr)[white, label('1')];

$YRay	Ray($J,$O)[black, hidden];

$rJ   	Point on object($YRay,1.3)[red, label('r')];
${
$rI   	Point on object($XRay,1.2)[red, label('r')];
$}

$rvalue	Ratio/Points($O,$I,$rJ,0,60,'r = ')[black];
$Cr	Circle($O,$rJ)[black];

$Xax	Line($I,$O)[black];
$Yax	Line($J,$O)[black,hidden];
$startYax FixedPoint(300,0)[hidden];
$endYax	FixedPoint(300,400)[hidden];
$VisibleYax Segment($startYax, $endYax)[black];

$start  FixedPoint(300,500)[hidden];
$rI  	Intersect2($Xax,$Cr)[white, label('r')];

$Pxy	Point on object($Cr,-0.5)[red,label('(x,y)'), layer(50)];
$SOPxy	Segment($O,$Pxy)[magenta, thick];
$Lpary	Parallel($Yax,$Pxy)[red, hidden];
$Px 	Intersect($Xax,$Lpary)[black, label('x')];
$SxyPx	Segment($Pxy,$Px)[blue];
$Lparx	Parallel($Xax,$Pxy)[blue, hidden];
$Py 	Intersect($Yax,$Lparx)[black, label('y')];
$SxyPy	Segment($Pxy,$Py)[red];
$SOPx	Segment($O,$Px)[red, thick];
$SOPy	Segment($O,$Py)[blue, thick];

${
$KulmPuol AngleBisectors($I, $O, $Pxy) [red, hidden];
$labelt Point on object($hor,0.1)[hidden];
$Ct	Circle($O,$labelt)[black, hidden];
$tangle	Intersect2($KulmPuol,$Ct)[white,label('t'), hidden];
$}


$x	Ratio/Points($O,$I,$Px,0,80,'x = ')[red];
$y	Ratio/Points($O,$J,$Py,0,100,'y = ')[blue];

$alfa 	Angle($I,$O,$Pxy,0,20,'alfa = ')[red, hidden];
$sgny 	Calculate(0,60,'sign y = ','A @sgn_')($y)[blue, hidden];
$distPxyr	Distance($Pxy,$rI,0,200,'dist = ')[black, hidden];
$t	Calculate(0,40,'kulma t = ','1A+ B* 1A- 6.2831 B- * + 0.5* C @sgn_ @abs_ *')($sgny,$alfa,$distPxyr)[magenta];


${
The coordinate system for the graph
$}
$RO 	FixedPoint(50,500)[white,label('0')];
$Ref   	Translation($RO,80,0)[hidden];
$Ray   	Ray($Ref,$RO)[hidden,black];
$RI  	Point on object($Ray,1)[yellow, label('1')];
$RLx 	Line($RI,$RO)[black];

$Pi	Dilation($RI,$RO,3.14159)[label('pi')];
$Pi2	Dilation($RI,$RO,6.2831)[label('2pi')];
$jakso	Segment($Pi2,$RO)[black, thick];

$RLy 	Perpendicular($RLx,$RO)[black,hidden];
$RstartYax FixedPoint(50,600)[hidden];
$RendYax FixedPoint(50,400)[hidden];
$VisibleYax Segment($RstartYax,$RendYax)[black];


$RUCr	Circle($RO,$RI)[black,hidden];
$RJ	Intersect1($RLy,$RUCr)[white, label('1')];
$RJpois1 VectorTranslation($RO,$RJ,$RO)[white, label('-1')];
$RL1	Parallel($RLx,$RJ)[green];
$RLpois1 Parallel($RLx,$RJpois1)[green];

$LUpp   FixedPoint(0,400)[hidden];
$LLow   FixedPoint(0,600)[hidden];
$RLow   FixedPoint(605,600)[hidden];
$RUpp   FixedPoint(605,400)[hidden];
$RectA  Polygon($LUpp,$LLow,$RLow,$RUpp,$LUpp)[color(255,255,150)];

$Rt	Dilation/MarkedRatio($RI,$RO,$t)[magenta, label('t')];

${
sini ja kosini osamäärinä
$}
$Rkosini Calculate(0,120,'cos t = x/r = ','AB/')($x,$rvalue)[red];
$Rkosiny	Dilation/MarkedRatio($RJ,$RO,$Rkosini)[label('cos t')];
$RLparkosiny Parallel($RLx,$Rkosiny)[blue,hidden];
$SRORkosiny Segment($Rkosiny, $RO)[red, thick];


$Rsini	Calculate(0,140,'sin t = y/r = ','AB/')($y,$rvalue)[blue];
$Rsiny	Dilation/MarkedRatio($RJ,$RO,$Rsini)[blue, label('sin t')];
$RLparsiny Parallel($RLx,$Rsiny)[blue, hidden];
$SRORsiny Segment($Rsiny, $RO)[blue, thick];

$RLparRt Parallel($RLy,$Rt)[blue,hidden];

$Rtsint		Intersect($RLparsiny,$RLparRt)[magenta, label('(t, sin t)'), hidden];
$RSsinytsint 	Segment($Rsiny,$Rtsint)[black, hidden];
$RSRttsint 	Segment($Rt,$Rtsint)[blue, thick, hidden];

$Rtkosint 	Intersect($RLparkosiny,$RLparRt)[magenta, label('(t, cos t)'), hidden];
$RSkosinytkosint Segment($Rkosiny,$Rtkosint)[black, hidden];
$RSRttkosint 	Segment($Rt,$Rtkosint)[red, thick, hidden];

$SRORt	Segment($Rt,$RO)[hidden];
$Rpta   Point on object($SRORt,0.3)[label('a'), red, hidden];
$avalue	Ratio/points($RO,$RI,$Rpta,0,200,'a = ')[red, hidden];

$sinia	Calculate(0,220,'sin a = ','A @sin_')($avalue)[blue, hidden];

$Rsina	Dilation/MarkedRatio($RJ,$RO,$sinia)[label('sin a'), hidden];
$SROsina Segment($Rsina,$RO)[blue, hidden];
$Rasina VectorTranslation($Rsina,$RO,$Rpta)[blue, label('(a, sin a)'), hidden];
$SRasina Segment($Rasina,$Rpta)[blue, hidden];

$SinLoc	Locus($Rasina,$Rpta,$SRORt,200)[blue, hidden];

$kosinia	Calculate(0,220,'cos a = ','A @cos_')($avalue)[red, hidden];

$Rkosina	Dilation/MarkedRatio($RJ,$RO,$kosinia)[red, label('cos a'), hidden];
$SROkosina Segment($Rkosina,$RO)[blue, hidden];
$Rakosina VectorTranslation($Rkosina,$RO,$Rpta)[red, label('(a, cos a)'), hidden];
$SRakosina Segment($Rakosina,$Rpta)[red, hidden];

$CosLoc	Locus($Rakosina,$Rpta,$SRORt,200)[red, hidden];

$Rtan	Calculate(0,160,'tan t = y/x = ','AB/')($y,$x)[black];
$Rcot	Calculate(0,180,'cot t = x/y = ','AB/')($x,$y)[black];

$AnBxyOnCircle AnimateButton(0,0,'Animoi (x,y)')($Pxy,$Cr)(3)(1)(1)[magenta, bold]; 

$SBSini 	ShowButton(  0,350, 'Näytä sini-käyrää')($SinLoc,$Rtsint,$RSsinytsint,$RSRttsint)[blue, bold];
$HBSini 	HideButton(135,350, 'Piilota')($SinLoc,$Rtsint,$RSsinytsint,$RSRttsint)[blue];
$SBKosini 	ShowButton(  0,375, 'Näytä kosini-käyrää')($CosLoc,$Rtkosint,$RSkosinytkosint,$RSRttkosint)[red, bold];
$HBKosini 	HideButton(135,375, 'Piilota')($CosLoc,$Rtkosint,$RSkosinytkosint,$RSRttkosint)[red];
</JSP>



</td>
<td>
<font size="+1" >
Voit raahata hiirellä kehäpistettä (<i>x</i>, <i>y</i>), samoin voit muuttaa ympyrän sädettä <i>r</i>.
Alkutilassa kehäpiste on selvyyden vuoksi positiivisessa neljänneksessä; siirrä se itse vaaka-akselille ennen animointia!

<p>
Kuvion resetointi eli alkutilan palautus tapahtuu näppäimistön r-kirjamella (kunhan kuvio on ensin klikattu aktiiviseksi).
</p>
</font>
</td>
</tr>
</table>

<hr>



<H2>
Trigonometrisista funktioista ympyrä
</H2>

<div class="p"><!----></div>
<font size="+1">
Kuviossa voi tutkia kuinka sinistä ja kosinista saadaan ympyrä, kun reaaliparametri 
<i>t</i> käy läpi jaksovälin [0, 2Pi] tai yleisemmin reaaliakselia.
</font>

<p>
<table>
<tr>
<td>
<JSP>
${
Trigonometriset funktiot ympyräksi
#CODEBASE="http://www.joensuu.fi/matematiikka/java/javasketchpad"
$}
#CODEBASE="../../../../java/javasketchpad"
#ARCHIVE  = "jsp4.jar"
#WIDTH = 800
#HEIGHT= 500
#ALIGN    = Center
*Frame          =   1
*TextFont       =   "Helvetica"
*TextBold       =   1
*TextSize       =  18
*LabelFont      =   "Courier"
*LabelBold      =   1
*MeasureFont        =   "Courier"
*MeasureSize        =  	14
*MeasureBold        =   1
*MeasureInDegrees   =   0
*DirectedAngles     =   0
*BackRed          =	250
*BackGreen        =	255
*BackBlue         =	250
$(
    AngleBisectors (Side1, Vertex, Side2)
${
    An Angle Bisector that behaves exactly as the GSP construction.
    See also the alternative construction in bisecto2.jsp.
$}
    Translation ($Vertex, 10.0, 0.0) [hidden];
    Circle ($Vertex, $1) [hidden, black];
    Ray ($Side1, $Vertex) [hidden, black];
    Ray ($Side2, $Vertex) [hidden, black];
    Intersect2 ($2, $3) [hidden];
    Intersect2 ($2, $4) [hidden];
    Segment ($2, $1) [hidden, black];
    Midpoint ($1) [hidden];
    Line($1, $Vertex);
$)

   
$reset  FixedText(785,20,'Reset = ''R''')[red, bold, justifyRight];
$ctrace FixedText(760,493,'Clear trace-->')[red, justifyRight, hidden];

${
$xText  FixedText(785,195,'t')[bold, black, justifyCenter];
$yText  FixedText(45, 15,'s')[bold, black, justifyCenter];
The coordinate system for the graph
$}
$RO 	FixedPoint(150,100)[white,label('0')];
$Ref   	Translation($RO,40,0)[hidden];
$Ray   	Ray($Ref,$RO)[hidden,black];
$RI  	Point on object($Ray,1)[yellow, label('1')];
$RLx 	Line($RI,$RO)[black];

$Pi	Dilation($RI,$RO,3.14159)[label('pi')];
$Pi2	Dilation($Pi,$RO,2)[label('2pi')];
$Pi3	Dilation($Pi,$RO,3)[label('3pi')];
$Pi4	Dilation($Pi,$RO,4)[label('4pi')];
$Pi5	Dilation($Pi,$RO,5)[label('5pi')];
$Pipois	Dilation($Pi,$RO,-1)[label('-pi')];


$RLy 	Perpendicular($RLx,$RO)[black,hidden];
$RstartYax FixedPoint(150,200)[hidden];
$RendYax FixedPoint(150,0)[hidden];
$VisibleYax Segment($RstartYax,$RendYax)[black];


$RUCr	Circle($RO,$RI)[black,hidden];
$RJ	Intersect1($RLy,$RUCr)[white, label('1')];
$RJpois1 VectorTranslation($RO,$RJ,$RO)[white, label('-1')];
$RyRay   	Ray($RJ,$RO)[hidden,black];
$Rptr	Point on object($RyRay,1.3)[red, label('r')];
$Rr	Ratio/Points($RO,$RI,$Rptr,0,60,'r = ')[black];
$Rptpoisr Dilation($Rptr,$RO,-1)[label('-r')];
$RL1	Parallel($RLx,$Rptr)[green];
$RLpois1 Parallel($RLx,$Rptpoisr)[green];

$LUpp   FixedPoint(0,0)[hidden];
$LLow   FixedPoint(0,200)[hidden];
$RLow   FixedPoint(805,200)[hidden];
$RUpp   FixedPoint(805,0)[hidden];
$RectA  Polygon($LUpp,$LLow,$RLow,$RUpp,$LUpp)[color(255,255,150)];

$Rt	Point on object($RLx,2.5)[red, label('t'), layer(30)];
$t	Ratio/Points($RO,$RI,$Rt,0,40,'t = ')[red];

$jakso	Segment($Pi2,$RO)[red];

$A	Point on object($RLx,-2)[cyan, label('A')];
$B	Point on object($RLx,15)[cyan, label('B')];
$jana	Segment($B,$A)[cyan, layer(10)];

${
sini ja kosini sekä x ja y
$}
$Rkosini Calculate(0,280,'cos t = ','A @cos_')($t)[red];
$x 	Calculate(0,320,'x = r cos t = ','A B @cos_ *')($Rr,$t)[red];
$Rx	Dilation/MarkedRatio($RJ,$RO,$x)[label('r cos t')];
$RLxparRLx Parallel($RLx,$Rx)[blue,hidden];

$Rsini 	Calculate(0,300,'sin t = ','A @sin_')($t)[blue];
$y	Calculate(0,340,'y = r sin t = ','A B @sin_ *')($Rr,$t)[blue];
$Ry	Dilation/MarkedRatio($RJ,$RO,$y)[blue, label('r sin t')];
$RLyparRLx Parallel($RLx,$Ry)[blue, hidden];

$RLparRt Parallel($RLy,$Rt)[blue,hidden];

$Rtkosint 	Intersect($RLxparRLx,$RLparRt)[magenta, label('(t, r cos t)'), hidden];
$RSkosinytkosint Segment($Rx,$Rtkosint)[black, hidden];
$RSRttkosint 	Segment($Rt,$Rtkosint)[red, thick, hidden];

$Rtsint		Intersect($RLyparRLx,$RLparRt)[magenta, label('(t, r sin t)'), hidden];
$RSsinytsint 	Segment($Ry,$Rtsint)[black, hidden];
$RSRttsint 	Segment($Rt,$Rtsint)[blue, thick, hidden];

$SRORx	Segment($Rx,$RO)[red, thick, layer(20)];
$SRORy	Segment($Ry,$RO)[blue, thick, layer(20)];

$Rpta   Point on object($jana,0.3)[label('a'), red, hidden];
$a	Ratio/points($RO,$RI,$Rpta,0,200,'a = ')[red, hidden];

$sinia	Calculate(0,220,'sin a = ','A B @sin_ *')($Rr,$a)[blue, hidden];

$Rsina	Dilation/MarkedRatio($RJ,$RO,$sinia)[label('sin a'), hidden];
$SROsina Segment($Rsina,$RO)[blue, hidden];
$Rasina VectorTranslation($Rsina,$RO,$Rpta)[blue, label('(a, sin a)'), hidden];
$SRasina Segment($Rasina,$Rpta)[blue, hidden];

$SinLoc	Locus($Rasina,$Rpta,$jana,200)[blue, layer(10), hidden];

$kosinia	Calculate(0,220,'cos a = ','A B @cos_ *')($Rr,$a)[red, hidden];

$Rkosina	Dilation/MarkedRatio($RJ,$RO,$kosinia)[red, label('cos a'), hidden];
$SROkosina Segment($Rkosina,$RO)[blue, hidden];
$Rakosina VectorTranslation($Rkosina,$RO,$Rpta)[red, label('(a, cos a)'), hidden];
$SRakosina Segment($Rakosina,$Rpta)[red, hidden];

$CosLoc	Locus($Rakosina,$Rpta,$jana,200)[red, layer(10), hidden];

${
The Unit and r-circle
$}
$O  	Point(400,350)[black,label('0')];
$unitp 	UnitPoint($O,40)[white,label('1'), layer(10), hidden];
$XRay	Ray($unitp,$O)[black, hidden];
$I	Point on object($XRay,1)[red, label('1'), layer(15)];	

$R2 VectorTranslation($I,$O,$I)[white, label('2')];
$coord  Origin&Unit($O,$I)[black, hidden];
$hor    AxisX($coord)[black, hidden];
$vert   AxisY($coord)[black, hidden];

$UCr	Circle($O,$I)[black,hidden];
$J	Intersect2($vert,$UCr)[white, label('1')];

$rI   	Dilation/MarkedRatio($I,$O,$Rr)[label('r')];

$Cr	Circle($O,$rI)[black];

$Xax	Line($I,$O)[black];
$Yax	Line($J,$O)[black,hidden];
$startYax FixedPoint(400,200)[hidden];
$endYax	FixedPoint(400,600)[hidden];
$VisibleYax Segment($startYax, $endYax)[black];

$start  FixedPoint(300,500)[hidden];
$rJ  	Intersect2($Yax,$Cr)[white, label('r')];

$Px 	Dilation/MarkedRatio($I,$O,$x)[black, label('x')];
$Py 	Dilation/MarkedRatio($J,$O,$y)[black, label('y')];
$Lparx	Parallel($Xax,$Py)[blue, hidden];
$Lpary	Parallel($Yax,$Px)[red, hidden];

$Pxy	Intersect($Lparx,$Lpary)[red,label('(x,y)'), layer(15)];
$SOPxy	Segment($O,$Pxy)[magenta, thick];
$SxyPx	Segment($Pxy,$Px)[blue];
$SxyPy	Segment($Pxy,$Py)[red];
$SOPx	Segment($O,$Px)[red, thick];
$SOPy	Segment($O,$Py)[blue, thick];

${
$KulmPuol AngleBisectors($I, $O, $Pxy) [red, hidden];
$labelt Point on object($hor,0.1)[hidden];
$Ct	Circle($O,$labelt)[black, hidden];
$tangle	Intersect2($KulmPuol,$Ct)[white,label('t'), hidden];
$x	Ratio/Points($O,$I,$Px,0,280,'x = ')[red,hidden];
$y	Ratio/Points($O,$J,$Py,0,300,'y = ')[blue,hidden];
$}

$alfa 	Angle($I,$O,$Pxy,0,20,'alfa = ')[red, hidden];
$sgny 	Calculate(0,60,'sign y = ','A @sgn_')($y)[blue, hidden];
$distPxyr	Distance($Pxy,$rI,0,200,'dist = ')[black, hidden];




$AnBtJana AnimateButton(0,0,'Animoi t')($Rt,$jana)(2)(1)(1)[red, bold]; 

$SBSini 	ShowButton(  0,220, 'Näytä sini-käyrää')($SinLoc,$Rtsint,$RSsinytsint,$RSRttsint)[blue, bold];
$HBSini 	HideButton(135,220, 'Piilota')($SinLoc,$Rtsint,$RSsinytsint,$RSRttsint)[blue];
$SBKosini 	ShowButton(  0,200, 'Näytä kosini-käyrää')($CosLoc,$Rtkosint,$RSkosinytkosint,$RSRttkosint)[red, bold];
$HBKosini 	HideButton(135,200, 'Piilota')($CosLoc,$Rtkosint,$RSkosinytkosint,$RSRttkosint)[red];
</JSP>



</td>
<td>
<font size="+1" >
Voit raahata hiirell&auml; muuttujaa <i>t</i>; N&auml;in
syntyy parametrimuotoinen k&auml;yr&auml; (<i>x</i>(<i>t</i>), <i>y</i>(<i>t</i>)),
miss&auml;</font>
<table BORDER=0 WIDTH="100%" >
<tr>
<td>
<table>
<tr>
<td ALIGN=CENTER NOWRAP></td>

<td ALIGN=LEFT class="cl"><font face="symbol">&igrave;</font>
<br><font face="symbol">&iacute;</font>
<br><font face="symbol">&icirc;</font></td>

<td ALIGN=CENTER NOWRAP>
<table>
<tr>
<td ALIGN=CENTER>
<table BORDER=0 >
<tr>
<td ALIGN=CENTER NOWRAP><i>x</i>(<i>t</i>)&nbsp;</td>
</tr>
</table>
</td>

<td ALIGN=CENTER>
<table BORDER=0 >
<tr>
<td ALIGN=CENTER NOWRAP>=</td>
</tr>
</table>
</td>

<td>
<table BORDER=0 >
<tr>
<td ALIGN=CENTER NOWRAP><i>r</i> cos <i>t</i></td>
</tr>
</table>
</td>
</tr>

<tr>
<td ALIGN=CENTER>
<table BORDER=0 >
<tr>
<td ALIGN=CENTER NOWRAP><i>y</i>(<i>t</i>)&nbsp;</td>
</tr>
</table>
</td>

<td ALIGN=CENTER>
<table BORDER=0 >
<tr>
<td ALIGN=CENTER NOWRAP>=</td>
</tr>
</table>
</td>

<td>
<table BORDER=0 >
<tr>
<td ALIGN=CENTER NOWRAP><i>r</i> sin <i>t</i></td>
</tr>
</table>
</td>
</tr>
</table>
</td>

<td ALIGN=CENTER NOWRAP></td>
</tr>
</table>
</td>
</tr>
</table>


<font size=+1>
<p>
Animoinnissa <i>t</i> käy läpi välin [<i>A</i>, <i>B</i>], jota voit myös säätää hiirellä. Ennen animointia kannattaa asettaa muuttuja <i>t</i> alkupisteeseen <i>A</i>.
</p>
<p>
Voit samoin s&auml;&auml;t&auml;&auml; positiivilukua <i>r</i>,
joka m&auml;&auml;r&auml;&auml; saadun ympyr&auml;n s&auml;teen.
</p>
<p>
Kuvion resetointi eli alkutilan palautus tapahtuu näppäimistön r-kirjamella (kunhan kuvio on ensin klikattu aktiiviseksi).
</p>
<p>
Zoomaukset?
</p>
</font>
</td>
</tr>
</table>

<hr>

<hr>
Martti E. Pesonen 31.10.2007, 24.11.2008
</html>
